Bug 855271 - Collecting support data from all storage nodes through RHSC
Collecting support data from all storage nodes through RHSC
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Aravinda VK
Prasanth
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 03:31 EDT by Vidya Sakar
Modified: 2013-09-15 23:12 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously rhs-log-collector was used to collect logs from all the nodes of a cluster. It would not collect gluster logs even if the cluster was gluster-enabled. With this feature, the gluster logs are collected from all storage nodes along with other logs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 23:12:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 9765 None None None Never

  None (edit)
Description Vidya Sakar 2012-09-07 03:31:29 EDT
BZ to track integration of collecting crash reports and other relevant support data from all storage nodes through RHS-C.
Comment 5 Prasanth 2013-08-19 02:53:49 EDT
Is this RFE about introducing "rhsc-log-collector" or a similar feature in the UI? Please confirm.
Comment 6 Aravinda VK 2013-08-19 03:30:56 EDT
rhsc-log-collector uses sosreport to collect log files and other report from nodes. This enhancement is to enable gluster plugin in sosreport if the node has gluster.
Comment 7 Prasanth 2013-08-19 06:01:04 EDT
Verified

"rhsc-log-collector" tool is now present in the engine which collects sosreports from all storage nodes in the cluster.
Comment 8 Pavithra 2013-08-20 06:17:31 EDT
Kindly review the edited doc text and sign off.
Comment 9 Aravinda VK 2013-08-21 01:23:38 EDT
Updated the doctext.
Comment 11 errata-xmlrpc 2013-09-15 23:12:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1263.html

Note You need to log in before you can comment on or make changes to this bug.